;
; emxaout1.asm
;
        .386
        .model  flat

        .code

        public  main
        extern  write:proc
        extern  strlen:proc

main:   lea     eax, msg
        push    eax
        call    strlen
        add     esp, 1*4
        push    eax                     ; nbyte
        push    offset msg              ; buf
        push    1                       ; handle
        call    write
        add     esp, 3*4
;
        xor     eax, eax
        ret

        .data

msg     db      "Hello, world!", 0dh, 0ah, 00h

        end
